(*
  Ita IDE Plugin

  Copyright (c) 2014-2015 Lyna

  This software is provided 'as-is', without any express or implied
  warranty. In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
    claim that you wrote the original software. If you use this software
    in a product, an acknowledgment in the product documentation would be
    appreciated but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
    misrepresented as being the original software.

    3. This notice may not be removed or altered from any source
    distribution.
*)
unit UItaConfig;

interface

uses
  System.SysUtils, System.Classes, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  Vcl.StdCtrls, Vcl.ExtDlgs, Vcl.ComCtrls;

type
  TConfigDlg = class(TForm)
    edImagePath: TEdit;
    Label1: TLabel;
    btnSelectImage: TButton;
    Label2: TLabel;
    Label3: TLabel;
    btnCancel: TButton;
    btnOK: TButton;
    opd: TOpenPictureDialog;
    Label4: TLabel;
    tbAlpha: TTrackBar;
    lblAlpha: TLabel;
    btnPreview: TButton;
    edLeft: TEdit;
    edTop: TEdit;
    udLeft: TUpDown;
    udTop: TUpDown;
    procedure btnSelectImageClick(Sender: TObject);
    procedure tbAlphaChange(Sender: TObject);
    procedure btnPreviewClick(Sender: TObject);
  end;

procedure ShowConfigDialog;

implementation

uses
  UItaMain;

{$R *.dfm}

procedure ShowConfigDialog;
var
  dlg: TConfigDlg;
  oldImagePath: string;
  oldLeft, oldTop: Integer;
  oldAlpha: Byte;
begin
  oldImagePath := ImageFileName;
  oldLeft := ImagePos.X;
  oldTop := ImagePos.Y;
  oldAlpha := ImageAlpha;

  dlg := TConfigDlg.Create(nil);
  try
    dlg.edImagePath.Text := ImageFileName;
    dlg.udLeft.Position := ImagePos.X;
    dlg.udTop.Position := ImagePos.Y;
    dlg.tbAlpha.Position := ImageAlpha;

    if dlg.ShowModal = mrOk then
    begin
      ImageFileName := dlg.edImagePath.Text;
      ImagePos.X := dlg.udLeft.Position;
      ImagePos.Y := dlg.udTop.Position;
      ImageAlpha := dlg.tbAlpha.Position;
      SaveSettings;
    end
    else begin
      ImageFileName := oldImagePath;
      ImagePos.X := oldLeft;
      ImagePos.Y := oldTop;
      ImageAlpha := oldAlpha;
    end;

    LoadBackgroundImage;
  finally
    dlg.Free;
  end;
end;

procedure TConfigDlg.btnSelectImageClick(Sender: TObject);
begin
  if not opd.Execute(Handle) then Exit;
  edImagePath.Text := opd.FileName;
end;

procedure TConfigDlg.tbAlphaChange(Sender: TObject);
begin
  lblAlpha.Caption := IntToStr(tbAlpha.Position);
end;

procedure TConfigDlg.btnPreviewClick(Sender: TObject);
begin
  ImageFileName := edImagePath.Text;
  ImagePos.X := udLeft.Position;
  ImagePos.Y := udTop.Position;
  ImageAlpha := tbAlpha.Position;

  LoadBackgroundImage;
end;

end.
